## device3dfx 2.3.4

=== Makefile ===
###############################################################################
# Makefile by Carlo Wood

ifeq ($(OPT_CFLAGS),)
# People without rpm.  Guess something reasonable (that they have an ix86).
OPT_CFLAGS = -O2 -m486 -fomit-frame-pointer
endif

CFLAGS = $(OPT_CFLAGS) -DMODULE -D__KERNEL__ -I/usr/src/linux/include -pipe -fno-strength-reduce -malign-loops=2 -malign-jumps=2 -malign-functions=2
CC=gcc

###############################################################################
# You should never need to change anything below.

all: sanity 3dfx.o

# Sanity checks
sanity:
	@( \
	if [ ! -e /usr/src/linux ]; then \
		echo "Expect kernel source at location /usr/src/linux"; \
		echo "Sym.link /usr/src/linux -> where you have your sources"; \
		exit -1; \
	fi; \
	if [ ! -r /usr/src/linux/include ]; then \
		echo "Expect readable headers in /usr/src/linux/include"; \
		exit -1; \
	fi; \
	if [ ! -r /usr/src/linux/include/linux/version.h ]; then \
		echo "Missing /usr/src/linux/include/linux/version.h"; \
		echo "Configure and install the kernel first"; \
		exit -1; \
	fi; \
	if [ ! -e /proc/cpuinfo ]; then \
		echo "You need the /proc file system"; \
		echo "Reconfigure kernel and say Yes to CONFIG_PROC_FS"; \
		exit -1; \
	fi; \
	)

kinfo: kinfo.c
	$(CC) -o kinfo kinfo.c

kinfo.h: kinfo
	./kinfo

ifneq ($(KERNEL_VERSION_MAJOR),2.0)

###############################################################################
# kernel 2.1+

3dfx.o: kinfo.h 3dfx_driver.c Makefile
	$(CC) $(CFLAGS) -c -o $@ 3dfx_driver.c

else

###############################################################################
# Kernel 2.0 

OBJS = 3dfx_driver.o
ifneq ($(HAVE_MTRR),)
OBJS += mtrrs.o
endif

3dfx.o: kinfo.h $(OBJS) Makefile
	$(LD) -r -o $@ $(OBJS)

endif

###############################################################################

install:
	mkdir -p /lib/modules/$(shell ./kinfo --UTS)/misc
	cp 3dfx.o /lib/modules/$(shell ./kinfo --UTS)/misc/3dfx.o
	@( \
	if [ -e /lib/modules/$(shell ./kinfo --UTS)/modules.dep ]; then \
		indep=`grep 'misc/3dfx.o:' /lib/modules/$(shell ./kinfo --UTS)/modules.dep`; \
		if [ -z "$$indep" ]; then \
			echo "/lib/modules/$(shell ./kinfo --UTS)/misc/3dfx.o:" >> /lib/modules/$(shell ./kinfo --UTS)/modules.dep; \
			echo "" >> /lib/modules/$(shell ./kinfo --UTS)/modules.dep; \
		fi; \
	fi; \
	if [ ! -c /dev/3dfx ]; then \
	        mknod /dev/3dfx c 107 0; \
		chmod go+w /dev/3dfx; \
	fi; \
	if [ "$(RPM_INSTALL)" = "1" ]; then \
		echo "/lib/modules/$(shell ./kinfo --UTS)/misc/3dfx.o"; \
	else \
		inconf=`grep 'alias char-major-107 3dfx' /etc/conf.modules`; \
		if [ -z "$$inconf" ]; then \
			echo "alias char-major-107 3dfx" >> /etc/conf.modules; \
		fi; \
	fi; \
	)

###############################################################################
# This is for debugging purposes by the developers:

clean:
	rm -f *.o *.s kinfo kinfo.h

3dfx.s: 3dfx_driver.c Makefile
	$(CC) $(CFLAGS) -S -c 3dfx_driver.c

tar:
	tar czf ../../SOURCES/Dev3Dfx-2.5.tar.gz 3dfx_driver.c mtrrs.c Makefile

debug:
	make OPT_CFLAGS="-g -Wall -Wstrict-prototypes -DDEBUG"

## device3dfx 2001.07.28

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,28 @@
 ###############################################################################
-# Makefile by Carlo Wood
+# Makefile by Carlo Wood (and others)
 
 ifeq ($(OPT_CFLAGS),)
-# People without rpm.  Guess something reasonable (that they have an ix86).
-OPT_CFLAGS = -O2 -m486 -fomit-frame-pointer
+
+# Determine the machine type
+ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
+
+# Setup machine dependant compiler flags
+ifeq ($(ARCH), i386)
+OPT_CFLAGS = -O2 -m486 -fomit-frame-pointer \
+                 -fno-strength-reduce \
+                 -malign-loops=2 -malign-jumps=2 -malign-functions=2
 endif
 
-CFLAGS = $(OPT_CFLAGS) -DMODULE -D__KERNEL__ -I/usr/src/linux/include -pipe -fno-strength-reduce -malign-loops=2 -malign-jumps=2 -malign-functions=2
-CC=gcc
+ifeq ($(ARCH), alpha)
+OPT_CFLAGS = -O2 -mno-fp-regs -mcpu=ev4 \
+                 -ffixed-8 \
+                 -Wa,-mev6 \
+                 -fomit-frame-pointer -fno-strict-aliasing
+endif
+
+endif	# ifeq ($OPT_CFLAGS),)
+
+CFLAGS := -DMODULE -D__KERNEL__ -I/usr/src/linux/include $(OPT_CFLAGS)
 
 ###############################################################################
 # You should never need to change anything below.
@@ -44,28 +59,11 @@
 kinfo.h: kinfo
 	./kinfo
 
-ifneq ($(KERNEL_VERSION_MAJOR),2.0)
-
 ###############################################################################
 # kernel 2.1+
 
 3dfx.o: kinfo.h 3dfx_driver.c Makefile
 	$(CC) $(CFLAGS) -c -o $@ 3dfx_driver.c
-
-else
-
-###############################################################################
-# Kernel 2.0 
-
-OBJS = 3dfx_driver.o
-ifneq ($(HAVE_MTRR),)
-OBJS += mtrrs.o
-endif
-
-3dfx.o: kinfo.h $(OBJS) Makefile
-	$(LD) -r -o $@ $(OBJS)
-
-endif
 
 ###############################################################################
 
@@ -104,7 +102,9 @@
 	$(CC) $(CFLAGS) -S -c 3dfx_driver.c
 
 tar:
-	tar czf ../../SOURCES/Dev3Dfx-2.5.tar.gz 3dfx_driver.c mtrrs.c Makefile
+	tar czf ../../SOURCES/Dev3Dfx-2.5.tar.gz 3dfx_driver.c Makefile
+
 
 debug:
 	make OPT_CFLAGS="-g -Wall -Wstrict-prototypes -DDEBUG"
+

=== debian/changelog ===
device3dfx (2001.07.28) unstable; urgency=low

  * New upstream. (closes: #75598)
  * Changing things around to make things work for kernel-package.
    (closes: #83018, #82269, #82991, #88632, #92207, #59766)

 -- Zephaniah E. Hull <warp@debian.org>  Sat, 28 Jul 2001 04:03:22 -0400

device3dfx (2000.11.02) unstable; urgency=low

  * New maintainer, I keep frogetting to upload this.
  * Updated source to current CVS.

 -- Zephaniah E. Hull <warp@debian.org>  Thu,  2 Nov 2000 04:50:02 -0500

device3dfx (2.3.4-2) unstable; urgency=low

  * Look in target kernel for /proc file system, not running kernel
  * Added some info about how device3dfx-source builds to README.debian
  * Removed debian/debian.module/changelog.m4 which was confusing
  * Make debian/buildpkg executable too
  * Updated URL in debian/copyright

 -- Steve Haslam <araqnid@debian.org>  Sun,  9 Jan 2000 17:14:47 +0000

device3dfx (2.3.4-1) unstable; urgency=low

  * New upstream version (Closes: #54476)

 -- Steve Haslam <araqnid@debian.org>  Sun,  9 Jan 2000 04:55:21 +0000

device3dfx (2.3.3-1) unstable; urgency=low

  * New upstream version (silly version numbering detected), this should
    hopefully close #53216
  * Build module debs in /usr/src, not /usr/src/modules (Closes: #51940)
  * Updated license pathname

 -- Steve Haslam <araqnid@debian.org>  Thu, 23 Dec 1999 18:21:28 +0000

device3dfx (2.3-6) unstable; urgency=low

  * Set executable bit on generated debian/rules files (Closes: #53082)

 -- Steve Haslam <araqnid@debian.org>  Sun, 19 Dec 1999 19:09:52 +0000

device3dfx (2.3-5) unstable; urgency=low

  * Module packages provide 'device3dfx-module' now (Closes: #52822)

 -- Steve Haslam <araqnid@debian.org>  Thu, 16 Dec 1999 12:16:35 +0000

device3dfx (2.3-4) unstable; urgency=low

  * Edited Makefile to work with kernel 2.3 (Closes: #51859)
    [nb: I haven't tested this, but the change is very simple]
    [edited the right version this time]

 -- Steve Haslam <araqnid@debian.org>  Tue,  7 Dec 1999 23:25:07 +0000

device3dfx (2.3-3) unstable; urgency=low

  * cd to /dev before running MAKEDEV

 -- Steve Haslam <araqnid@debian.org>  Sat, 27 Nov 1999 16:06:12 +0000

device3dfx (2.3-2) unstable; urgency=low

  * Oops- change Makefile to use $(KSRC). And test packages before
    uploading them :|

 -- Steve Haslam <araqnid@debian.org>  Sat, 27 Nov 1999 16:00:54 +0000

device3dfx (2.3-1) unstable; urgency=low

  * New upstream version (Closes: #51334)

 -- Steve Haslam <araqnid@debian.org>  Sat, 27 Nov 1999 15:53:27 +0000

device3dfx (2.2-3) unstable; urgency=low

  * When making -source: Install .c and Makefile with mode 644
  * When building -module: Remove install-stamp in clean target

 -- Steve Haslam <araqnid@debian.org>  Sun, 31 Oct 1999 19:33:38 +0000

device3dfx (2.2-2) unstable; urgency=low

  * Filled out the "buildpkg" script for the derived source package, added
    notes on using it to device3dfx-source/README.debian.

 -- Steve Haslam <araqnid@debian.org>  Sun, 31 Oct 1999 19:16:28 +0000

device3dfx (2.2-1) unstable; urgency=low

  * New upstream version.
  * Rewrote build system- uses debhelper, and respects KSRC setting
    from kernel-package
  * Now adds an /etc/modutils entry (Closes: #40397)
  * Some documentation written, and /dev/3dfx automagically created 
    (Closes: #43585)
  * Module packages renamed to device3dfx-module-KVERS, and will
    conflict/replace device3dfx-modules-KVERS

 -- Steve Haslam <araqnid@debian.org>  Sat, 30 Oct 1999 16:40:39 +0100

device3dfx (2.0-1) unstable; urgency=low

  * Initial version.

 -- Steve Haslam <araqnid@debian.org>  Tue, 18 May 1999 20:17:44 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: device3dfx
Section: graphics
Priority: extra
Maintainer: Zephaniah E. Hull <warp@debian.org>
Standards-Version: 3.0.1

Package: device3dfx-source
Architecture: all
Depends: make, m4, debhelper
Recommends: kernel-package
Description: Device driver source for 3Dfx boards for 2.2+ kernels
 This package is the source for the 3Dfx device driver to allow access
 to 3Dfx boards without the user having root privileges.  It should
 work on 2.2/2.3/2.4/2.5 kernels and set the MTRR settings correctly.
 It should also work with SMP kernels (2.2/2.3/2.4/2.5).

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for device3dfx
# Copyright (C) 1999 Steve Haslam
# Distributable under the terms of the GNU GPL version 2 (or later).

# Adpated from /usr/doc/debhelper/examples/rules.indep

# This rules file is intended only to build the device3dfx-source
# package.

# We write the source version number into the modules proto-changelog
# file. Determine it automagically
OURVERSION := $(shell head -1 debian/changelog | sed -e 's/.*(\(.*\)).*/\1/')

M4 := m4

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

#	Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	dh_clean

target=debian/tmp/usr/src/modules/device3dfx

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#	Add here commands to install the package into debian/tmp.
	install -c -m 644 Makefile Makefile.debian *.c $(target)
	cp -R debian/debian.module $(target)/debian
	$(M4) -DOURVERSION="$(OURVERSION)" debian/module-changelog.m4 > $(target)/debian/changelog.m4
	chown -R root.root $(target)
	chmod +x $(target)/debian/rules $(target)/debian/buildpkg
	tar -C debian/tmp/usr/src -c -v -z -f debian/tmp/usr/src/device3dfx.tar.gz modules/device3dfx
	rm -r debian/tmp/usr/src/modules

	touch install-stamp

testmodule: build install
	tar -C .. -x -v -z -f debian/tmp/usr/src/device3dfx.tar.gz

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## device3dfx 2004.01.25

=== Makefile ===
###############################################################################
# Makefile by Carlo Wood (and others)

# Determine the machine type
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

# Setup machine dependant compiler flags
ifeq ($(ARCH), i386)
CFLAGS ?= -O2 -mcpu=pentium -fomit-frame-pointer -fno-strength-reduce \
          -falign-loops=2 -falign-jumps=2 -falign-functions=2
endif

ifeq ($(ARCH), alpha)
CFLAGS ?= -O2 -mno-fp-regs -mcpu=ev4 -ffixed-8 -Wa,-mev6 \
          -fomit-frame-pointer -fno-strict-aliasing
endif

KHEADERS ?= /usr/include
KVERS ?= $(shell ./kinfo --UTS)
MODULES_DIR = $(DESTDIR)/lib/modules/$(KVERS)

ALL_CFLAGS := -DMODULE -D__KERNEL__ \
              -I$(KHEADERS) -I$(KHEADERS)/asm/mach-default \
              $(CFLAGS)

###############################################################################
# You should never need to change anything below.

all: sanity module

# Sanity checks
sanity:
	@( \
	if [ ! -r $(KHEADERS)/linux ]; then \
		echo "Expect readable headers in $(KHEADERS)/linux"; \
		exit -1; \
	fi; \
	if [ ! -r $(KHEADERS)/linux/version.h ]; then \
		echo "Missing $(KHEADERS)/linux/version.h"; \
		echo "Configure and install the kernel first"; \
		exit -1; \
	fi; \
	if [ ! -e /proc/cpuinfo ]; then \
		echo "You need the /proc file system"; \
		echo "Reconfigure kernel and say Yes to CONFIG_PROC_FS"; \
		exit -1; \
	fi; \
	)

config: kinfo
	@( \
	KVER_MAJOR=`echo $(KVERS) | cut -d. -f1`; \
	KVER_MINOR=`echo $(KVERS) | cut -d. -f2`; \
	if [ "$$KVER_MAJOR" = 2 -a "$$KVER_MINOR" -ge 6 ]; then \
	  echo MODULE_TDFX = 3dfx.ko; \
	else \
	  echo MODULE_TDFX = 3dfx.o; \
	fi; \
	) > config
	@$(MAKE) $(MAKECMDGOALS) configured-target=1

kinfo: kinfo.c
	$(CC) -I$(KHEADERS) -o kinfo kinfo.c

kinfo.h: kinfo
	@echo Generating kernel information header.
	@./kinfo

###############################################################################
# kernel 2.1+

-include config

ifeq ($(configured-target),0)
module: config
else
module: $(MODULE_TDFX)
endif

3dfx.o 3dfx.ko: kinfo.h 3dfx_driver.c Makefile
	$(CC) $(ALL_CFLAGS) -c -o $@ 3dfx_driver.c

###############################################################################

install_modules: module
	mkdir -p $(MODULES_DIR)/misc
	cp $(MODULE_TDFX) $(MODULES_DIR)/misc/

install: install_modules
	@( \
	if [ -e $(MODULES_DIR)/modules.dep ]; then \
		indep=`grep 'misc/$(MODULE_TDFX):' $(MODULES_DIR)/modules.dep`; \
		if [ -z "$$indep" ]; then \
			echo "$(MODULES_DIR)/misc/$(MODULE_TDFX):" >> $(MODULES_DIR)/modules.dep; \
			echo "" >> $(MODULES_DIR)/modules.dep; \
		fi; \
	fi; \
	if [ ! -e $(DESTDIR)/dev/.devfsd -a ! -c $(DESTDIR)/dev/3dfx ]; then \
		mknod $(DESTDIR)/dev/3dfx c 107 0; \
		chmod go+w $(DESTDIR)/dev/3dfx; \
	fi; \
	if [ "$(RPM_INSTALL)" = "1" ]; then \
		echo "$(MODULES_DIR)/misc/$(MODULE_TDFX)"; \
	else \
		inconf=`grep 'alias char-major-107 3dfx' $(DESTDIR)/etc/modules.conf`; \
		if [ -z "$$inconf" ]; then \
			echo "alias char-major-107 3dfx" >> $(DESTDIR)/etc/modules.conf; \
		fi; \
	fi; \
	)

###############################################################################
# This is for debugging purposes by the developers:

clean:
	rm -f *.o *.ko *.s
	rm -f kinfo kinfo.h
	rm -f config

3dfx.s: 3dfx_driver.c Makefile
	$(CC) $(ALL_CFLAGS) -S -c 3dfx_driver.c

tar:
	tar czf ../../SOURCES/Dev3Dfx-2.5.tar.gz 3dfx_driver.c Makefile

debug:
	$(MAKE) CFLAGS="-g -Wall -Wstrict-prototypes -DDEBUG"

.PHONY: all sanity module install_modules install clean tar debug

## device3dfx 2004.08.21

=== Makefile ===
###############################################################################
# Makefile by Carlo Wood (and others)

# Determine the machine type
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

# Setup machine dependant compiler flags
ifeq ($(ARCH), i386)
CFLAGS ?= -O2 -mcpu=pentium -fomit-frame-pointer -fno-strength-reduce \
          -falign-loops=2 -falign-jumps=2 -falign-functions=2
endif

ifeq ($(ARCH), alpha)
CFLAGS ?= -O2 -mno-fp-regs -mcpu=ev4 -ffixed-8 -Wa,-mev6 \
          -fomit-frame-pointer -fno-strict-aliasing
endif

KSRC ?= /usr/src/linux
KHEADERS ?= $(KSRC)/include
KVERS ?= $(shell ./kinfo --UTS)
MODULES_DIR = $(DESTDIR)/lib/modules/$(KVERS)

ALL_CFLAGS := -DMODULE -D__KERNEL__ \
              -I$(KHEADERS) -I$(KHEADERS)/asm/mach-default \
              $(CFLAGS)

###############################################################################
# You should never need to change anything below.

NAME := 3dfx

all: modules

# Sanity checks
sanity:
	@( \
	if [ ! -r $(KHEADERS)/linux ]; then \
		echo "Expect readable headers in $(KHEADERS)/linux"; \
		exit -1; \
	fi; \
	if [ ! -r $(KHEADERS)/linux/version.h ]; then \
		echo "Missing $(KHEADERS)/linux/version.h"; \
		echo "Configure and install the kernel first"; \
		exit -1; \
	fi; \
	if [ ! -e /proc/cpuinfo ]; then \
		echo "You need the /proc file system"; \
		echo "Reconfigure kernel and say Yes to CONFIG_PROC_FS"; \
		exit -1; \
	fi; \
	)

ifeq ($(wildcard config),config)

config: sanity

include config

clean_type = clean_$(BUILD_TYPE)
module_type = module_$(BUILD_TYPE)

else

config: sanity kinfo
	@( \
	KVER_MAJOR=`echo $(KVERS) | cut -d. -f1`; \
	KVER_MINOR=`echo $(KVERS) | cut -d. -f2`; \
	if [ $$KVER_MAJOR = 2 -a $$KVER_MINOR -ge 6 ]; then \
	  echo BUILD_TYPE = kbuild; \
	  echo MODULE_TDFX = kbuild/$(NAME).ko; \
	else \
	  echo BUILD_TYPE = legacy; \
	  echo MODULE_TDFX = $(NAME).o; \
	fi; \
	) > config
	@$(MAKE) $(MAKECMDGOALS)

endif

kinfo: kinfo.c
	$(CC) -I$(KHEADERS) -o kinfo kinfo.c

kinfo.h: kinfo
	@echo Generating kernel information header.
	@./kinfo

###############################################################################

modules: config $(module_type)

module_legacy: $(NAME).o

$(NAME).o: 3dfx_driver.c Makefile
	$(CC) $(ALL_CFLAGS) -c -o $@ 3dfx_driver.c

module_kbuild:
	$(MAKE) -C kbuild

###############################################################################

install: config install_modules
	@( \
	if [ -e $(MODULES_DIR)/modules.dep ]; then \
		indep=`grep '$(NAME)/$(MODULE_TDFX):' $(MODULES_DIR)/modules.dep`; \
		if [ -z "$$indep" ]; then \
			echo "$(MODULES_DIR)/$(NAME)/$(MODULE_TDFX):" >> $(MODULES_DIR)/modules.dep; \
			echo "" >> $(MODULES_DIR)/modules.dep; \
		fi; \
	fi; \
	if [ ! -e $(DESTDIR)/dev/.devfsd -a ! -c $(DESTDIR)/dev/$(NAME) ]; then \
		mknod $(DESTDIR)/dev/$(NAME) c 107 0; \
		chmod go+w $(DESTDIR)/dev/$(NAME); \
	fi; \
	if [ "$(RPM_INSTALL)" = "1" ]; then \
		echo "$(MODULES_DIR)/$(NAME)/$(MODULE_TDFX)"; \
	else \
		inconf=`grep 'alias char-major-107 $(NAME)' $(DESTDIR)/etc/modules.conf`; \
		if [ -z "$$inconf" ]; then \
			echo "alias char-major-107 $(NAME)" >> $(DESTDIR)/etc/modules.conf; \
		fi; \
	fi; \
	)

install_modules: modules
	mkdir -p $(MODULES_DIR)/$(NAME)
	cp $(MODULE_TDFX) $(MODULES_DIR)/$(NAME)/

###############################################################################
# This is for debugging purposes by the developers:

clean: config $(clean_type)
	rm -f kinfo kinfo.h
	rm -f config

clean_legacy:
	rm -f *.ko *.o *.mod.* .*.mod.* .*.cmd

clean_kbuild:
	$(MAKE) -C kbuild clean

tar:
	tar czf ../../SOURCES/Dev3Dfx-2.5.tar.gz 3dfx_driver.c Makefile

debug:
	$(MAKE) CFLAGS="-g -Wall -Wstrict-prototypes -DDEBUG"

.PHONY: all sanity modules modules-legacy modules-kbuild
.PHONY: install install-legacy install-kbuild
.PHONY: clean clean-legacy tar debug

## device3dfx 2007.02.06

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Setup machine dependant compiler flags
 ifeq ($(ARCH), i386)
-CFLAGS ?= -O2 -mcpu=pentium -fomit-frame-pointer -fno-strength-reduce \
+CFLAGS ?= -O2 -march=pentium -fomit-frame-pointer -fno-strength-reduce \
           -falign-loops=2 -falign-jumps=2 -falign-functions=2
 endif
 
@@ -17,12 +17,20 @@
 
 KSRC ?= /usr/src/linux
 KHEADERS ?= $(KSRC)/include
-KVERS ?= $(shell ./kinfo --UTS)
+
+-include kver.mak
+
 MODULES_DIR = $(DESTDIR)/lib/modules/$(KVERS)
 
 ALL_CFLAGS := -DMODULE -D__KERNEL__ \
               -I$(KHEADERS) -I$(KHEADERS)/asm/mach-default \
               $(CFLAGS)
+
+ifneq ($(wildcard $(KHEADERS)/linux/utsrelease.h),)
+VERSION_HEADER := $(KHEADERS)/linux/utsrelease.h
+else
+VERSION_HEADER := $(KHEADERS)/linux/version.h
+endif
 
 ###############################################################################
 # You should never need to change anything below.
@@ -30,6 +38,12 @@
 NAME := 3dfx
 
 all: modules
+
+kver: kver.c
+	$(CC) -include $(VERSION_HEADER) -x c -o $@ $<
+
+kver.mak: kver
+	./$^ > $@
 
 # Sanity checks
 sanity:
@@ -50,43 +64,30 @@
 	fi; \
 	)
 
-ifeq ($(wildcard config),config)
+KVER_MAJOR = $(shell echo "$(KVERS)" | cut -d. -f1 )
+KVER_MINOR = $(shell echo "$(KVERS)" | cut -d. -f2 )
 
-config: sanity
+KBUILD = $(shell [ "$(KVER_MAJOR)" = 2 ] && [ "$(KVER_MINOR)" -ge 6 ] && echo yes )
 
-include config
+help:
+	echo KVER_MAJOR = $(KVER_MAJOR)
+	echo KVER_MINOR = $(KVER_MINOR)
+	echo KBUILD = $(KBUILD)
+
+ifeq ($(KBUILD),yes)
+BUILD_TYPE = kbuild
+MODULE_TDFX = kbuild/$(NAME).ko
+else
+BUILD_TYPE = legacy
+MODULE_TDFX = $(NAME).o
+endif
 
 clean_type = clean_$(BUILD_TYPE)
 module_type = module_$(BUILD_TYPE)
 
-else
-
-config: sanity kinfo
-	@( \
-	KVER_MAJOR=`echo $(KVERS) | cut -d. -f1`; \
-	KVER_MINOR=`echo $(KVERS) | cut -d. -f2`; \
-	if [ $$KVER_MAJOR = 2 -a $$KVER_MINOR -ge 6 ]; then \
-	  echo BUILD_TYPE = kbuild; \
-	  echo MODULE_TDFX = kbuild/$(NAME).ko; \
-	else \
-	  echo BUILD_TYPE = legacy; \
-	  echo MODULE_TDFX = $(NAME).o; \
-	fi; \
-	) > config
-	@$(MAKE) $(MAKECMDGOALS)
-
-endif
-
-kinfo: kinfo.c
-	$(CC) -I$(KHEADERS) -o kinfo kinfo.c
-
-kinfo.h: kinfo
-	@echo Generating kernel information header.
-	@./kinfo
-
 ###############################################################################
 
-modules: config $(module_type)
+modules: sanity $(module_type)
 
 module_legacy: $(NAME).o
 
@@ -98,7 +99,7 @@
 
 ###############################################################################
 
-install: config install_modules
+install: sanity install_modules
 	@( \
 	if [ -e $(MODULES_DIR)/modules.dep ]; then \
 		indep=`grep '$(NAME)/$(MODULE_TDFX):' $(MODULES_DIR)/modules.dep`; \
@@ -128,9 +129,8 @@
 ###############################################################################
 # This is for debugging purposes by the developers:
 
-clean: config $(clean_type)
-	rm -f kinfo kinfo.h
-	rm -f config
+clean: $(clean_type)
+	rm -f kver.mak kver
 
 clean_legacy:
 	rm -f *.ko *.o *.mod.* .*.mod.* .*.cmd
@@ -144,7 +144,7 @@
 debug:
 	$(MAKE) CFLAGS="-g -Wall -Wstrict-prototypes -DDEBUG"
 
-.PHONY: all sanity modules modules-legacy modules-kbuild
-.PHONY: install install-legacy install-kbuild
-.PHONY: clean clean-legacy tar debug
+.PHONY: all sanity modules modules_legacy modules_kbuild
+.PHONY: install install_legacy install_kbuild
+.PHONY: clean clean_legacy clean_kbuild tar debug

## device3dfx 2011.07.03

=== Makefile ===
--- 
+++ 
@@ -26,10 +26,14 @@
               -I$(KHEADERS) -I$(KHEADERS)/asm/mach-default \
               $(CFLAGS)
 
+ifneq ($(wildcard $(KHEADERS)/generated/utsrelease.h),)
+VERSION_HEADER := $(KHEADERS)/generated/utsrelease.h
+else
 ifneq ($(wildcard $(KHEADERS)/linux/utsrelease.h),)
 VERSION_HEADER := $(KHEADERS)/linux/utsrelease.h
 else
 VERSION_HEADER := $(KHEADERS)/linux/version.h
+endif
 endif
 
 ###############################################################################
@@ -50,29 +54,30 @@
 	@( \
 	if [ ! -r $(KHEADERS)/linux ]; then \
 		echo "Expect readable headers in $(KHEADERS)/linux"; \
-		exit -1; \
+		exit 1; \
 	fi; \
 	if [ ! -r $(KHEADERS)/linux/version.h ]; then \
 		echo "Missing $(KHEADERS)/linux/version.h"; \
 		echo "Configure and install the kernel first"; \
-		exit -1; \
+		exit 1; \
 	fi; \
 	if [ ! -e /proc/cpuinfo ]; then \
 		echo "You need the /proc file system"; \
 		echo "Reconfigure kernel and say Yes to CONFIG_PROC_FS"; \
-		exit -1; \
+		exit 1; \
 	fi; \
 	)
 
 KVER_MAJOR = $(shell echo "$(KVERS)" | cut -d. -f1 )
 KVER_MINOR = $(shell echo "$(KVERS)" | cut -d. -f2 )
 
-KBUILD = $(shell [ "$(KVER_MAJOR)" = 2 ] && [ "$(KVER_MINOR)" -ge 6 ] && echo yes )
+KBUILD = $(shell [ "$(KVER_MAJOR)" = 2 ] && [ "$(KVER_MINOR)" -ge 6 ] || \
+                 [ "$(KVER_MAJOR)" -ge 3 ] && echo yes )
 
 help:
-	echo KVER_MAJOR = $(KVER_MAJOR)
-	echo KVER_MINOR = $(KVER_MINOR)
-	echo KBUILD = $(KBUILD)
+	@echo KVER_MAJOR = $(KVER_MAJOR)
+	@echo KVER_MINOR = $(KVER_MINOR)
+	@echo KBUILD = $(KBUILD)
 
 ifeq ($(KBUILD),yes)
 BUILD_TYPE = kbuild

=== debian/changelog ===
device3dfx (2011.07.03-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with new 3.x Linux kernel versioning scheme.
  * Switch Section from graphics to kernel.
  * Add build-indep and build-arch targets.
  * Change targets to depend only on install instead of build and install.

 -- Guillem Jover <guillem@debian.org>  Sun, 03 Jul 2011 15:36:01 +0200

device3dfx (2011.05.27-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with Linux kernels up to 2.6.39.
  * Switch to debhelper compat version 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Cleanup and fix misspellings in debian/changelog.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Rename obsolete debian/module/modules file to debian/module/modprobe.
  * Use the source control stanza for the module control file, instead of
    duplicating it and having to keep them in sync.
  * Switch module generation logic to module-assistant.
    - Move binary-modules target from debian/module/rules to debian/rules.
    - Now that we use debian/rules for the module, use also debian/compat.
    - Replace debian/module/build_config with m-a make includes.
    - Add module-assistant to device3dfx-source Depends.
  * Add a version (>= 7) to device3dfx-source debhelper Depends.
  * Add ${misc:Depends} to device3dfx-source Depends field.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri, 27 May 2011 08:23:54 +0200

device3dfx (2008.06.24-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with Linux kernels up to 2.6.23.
  * Now using Standards-Version 3.7.2 (no changes needed), in the module.
  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Remove now unused debian/patch.mk.
  * Add a Homepage field.
  * Add Vcs-Brwoser and Vcs-Git fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Remove packaging svn information from debian/copyright.
  * Improve debian/copyright:
    - Rename 'Upstream Authors' to 'Copyright Holders'.
    - Add copyright years and symbol.
    - Refer to GPL-2 from common-licenses instead of just GPL.
    - Update copyright holder years.
  * Remove Tag field, it's better maintained outside the package.
  * Use UTF-8 copyright symbol in debian/rules files.
  * Improve package description by:
    - Explicitly mentioning Linux.
    - Collapsing all the supported Linux kernel versions into '2.2+'.
    - Replace reference to 'source' with 'module' in the module package.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Jun 2008 07:49:37 +0300

device3dfx (2007.02.06-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with Linux kernels up to 2.6.20. (Closes: #409885)
  * Add a Tag: field to the binary package, using the data from debtags.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Move debhelper from Build-Depends-Indep to Build-Depends as it's being
    used on clean.

 -- Guillem Jover <guillem@debian.org>  Tue,  6 Feb 2007 07:57:26 +0200

device3dfx (2004.08.21-2) unstable; urgency=low

  * Fix spelling error in package description. (Closes: #363233)
    Thanks to Simon Waters <simon@technocool.net>.
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Fix Subversion repository URL.
  * Upgrade to debhelper compat version 5.
  * Rename debian/patch.mk clean target to unpatch. Make patch and unpatch
    single colon rules. Make unpatch PHONY.
  * Do not use stamp files.
  * Remove unused commented commands.
  * Reformat copyright file, add GPL snippet license, add upstream authors.

 -- Guillem Jover <guillem@debian.org>  Wed, 19 Apr 2006 03:11:54 +0300

device3dfx (2004.08.21-1) unstable; urgency=low

  * New upstream release.
    - Really fix Linux kernel 2.6 support. (Closes: #238131, #238132, #255202)
    - Remove 00_honour_KSRC.patch already applied upstream.
  * Added the location of the Subversion repo used for the packages.
  * Update debian/patch.mk, provide a patch target.
  * Fix Linux kernel version detection.
  * Disable not used debhelper scripts.
    - s/dh_installmanpages/dh_installman/.

 -- Guillem Jover <guillem@debian.org>  Sat, 21 Aug 2004 08:21:37 +0200

device3dfx (2004.01.25-1) unstable; urgency=low

  * New upstream Release.
    - Ported to Linux kernel 2.6. (Closes: #220271)
  * Split diff patches:
    - 00_honour_KSRC.patch
  * Use debian/patch.mk.
  * Updated package description to mention Linux 2.6 kernel support and
    lower cased first letter from short description.
  * debian/module/rules: Corrected a typo on a PHONY sentence.
  * debian/module/README.Debian: Added a note about devfs.

 -- Guillem Jover <guillem@debian.org>  Sun, 25 Jan 2004 10:03:11 +0100

device3dfx (2003.11.03-1) unstable; urgency=low

  * New upstream release.
  * Renamed README.debian to README.Debian.
  * Changed device group to video.
    - Updated debian/module/postinst.
    - Updated debian/module/README.Debian accordingly.
  * Fixed chmod to use ':' instead.
  * Now using Standards-Version 3.5.10.

 -- Guillem Jover <guillem@debian.org>  Mon,  3 Nov 2003 09:36:52 +0100

device3dfx (2003.05.16-2) unstable; urgency=low

  * Use Build-Depends-Indep instead of Build-Depends.
  * Add Build-Depends to the -source package.
  * Versioned the build dependencies to debhelper.
  * debian/copyright:
    - Fixed a path typo to the GPL license.
    - Added maintainer history.
    - Cleaned a bit the file.

 -- Guillem Jover <guillem@debian.org>  Mon, 26 May 2003 14:19:42 +0200

device3dfx (2003.05.16-1) unstable; urgency=low

  * New maintainer (Closes: #189952).
  * Removed emacs cruft from changelog.


=== debian/control ===
Source: device3dfx
Section: kernel
Priority: extra
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://glide.sf.net/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/device3dfx.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/device3dfx.git
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2

Package: device3dfx-source
Architecture: all
Depends: module-assistant, make, debhelper (>= 7), ${misc:Depends}
Recommends: kernel-package
Description: Linux 2.2+ device driver source for 3Dfx boards
 This package is the source for the 3Dfx device driver to allow access
 to 3Dfx boards and setting its MTRR:s correctly without the user having
 root privileges.
 .
 It should work on Linux 2.2+ kernels, including SMP enabled kernels.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for device3dfx to build device3dfx-source
#
# Copyright © 1999 Steve Haslam
# Copyright © 2003, 2004, 2006, 2007, 2008, 2011 Guillem Jover
#
# Distributable under the terms of the GNU GPL version 2 (or later).

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pname = device3dfx
psource = $(pname)-source
pmodule = $(pname)-module

build-indep build-arch build:

.PHONY: build-indep build-arch build

clean:
	dh_testdir
	dh_testroot
	dh_clean

target = debian/$(psource)/usr/src/modules/$(pname)

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	install -c -m 644 Makefile *.c $(target)
	cp -R kbuild $(target)
	cp -R debian/module $(target)/debian
	sed -n '0,/^$$/p' debian/control > $(target)/debian/control.modules.in
	cat debian/control.templ >> $(target)/debian/control.modules.in
	cp $(target)/debian/control.modules.in $(target)/debian/control
	cp debian/rules debian/compat $(target)/debian
	cp debian/copyright debian/changelog $(target)/debian
	cp -R debian/source $(target)/debian
	chown -R root.root $(target)
	chmod +x $(target)/debian/rules
	tar -C debian/$(psource)/usr/src -cvzf debian/$(psource)/usr/src/$(pname).tar.gz modules/$(pname)
	rm -r debian/$(psource)/usr/src/modules

testmodule: install
	tar -C .. -xvzf debian/$(psource)/usr/src/$(pname).tar.gz

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install
	# Nothing to do.

binary: binary-indep binary-arch


PACKAGE := $(pmodule)

MA_DIR ?= /usr/share/modass

-include $(MA_DIR)/include/generic.mk
-include $(MA_DIR)/include/common-rules.mk

kdist_config: prep-deb-files

kdist_configure: kdist_config

kdist_clean: clean
	dh_testdir
	dh_testroot
	dh_clean
	
	$(MAKE) clean

binary-modules: prep-deb-files
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) install_modules DESTDIR=debian/$(PKGNAME)
	
	dh_installdocs
	dh_installexamples
	dh_installmodules
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v"$(VERSION)"
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

.PHONY: clean binary-indep binary-arch binary install

## device3dfx 2013.08.08

=== Makefile ===
--- 
+++ 
@@ -52,12 +52,12 @@
 # Sanity checks
 sanity:
 	@( \
-	if [ ! -r $(KHEADERS)/linux ]; then \
-		echo "Expect readable headers in $(KHEADERS)/linux"; \
+	if [ ! -r $(KHEADERS) ]; then \
+		echo "Expect readable headers in $(KHEADERS)"; \
 		exit 1; \
 	fi; \
-	if [ ! -r $(KHEADERS)/linux/version.h ]; then \
-		echo "Missing $(KHEADERS)/linux/version.h"; \
+	if [ ! -r $(VERSION_HEADER) ]; then \
+		echo "Missing $(VERSION_HEADER)"; \
 		echo "Configure and install the kernel first"; \
 		exit 1; \
 	fi; \

=== kbuild/Makefile ===
KSRC ?= /usr/src/linux

obj-m += 3dfx.o

modules:
	ln -sf ../3dfx_driver.c 3dfx.c
	$(MAKE) -C $(KSRC) M=$(shell pwd) modules

clean:
	rm -f 3dfx.c
	$(MAKE) -C $(KSRC) M=$(shell pwd) clean

install: modules
	$(MAKE) -C $(KSRC) M=$(shell pwd) INSTALL_MOD_PATH="$(DESTDIR)" \
		modules_install

=== debian/changelog ===
device3dfx (2013.08.08-5) unstable; urgency=medium

  * Now using Standards-Version 4.1.1 (no changes needed).
  * Line-wrap and sort debian/control fields.
  * Switch to debhelper compat version 10.
  * Switch to debian/watch format version 4.
  * Set owner and group to root:root in generated driver source tarball.
  * Set Rules-Requires-Root to no.
  * Update copyright years.
  * Switch from Priority extra to optional.
  * Include dpkg Makefile fragment instead of using dpkg-parsechangelog
    directly.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 05:39:56 +0100

device3dfx (2013.08.08-4) unstable; urgency=medium

  * Use https for hadrons.org URLs.
  * Sort generated kernel module source tarball contents to make the build
    reproducible.
  * Switch URLs for git repository from git:// to https://.
  * Now using Standards-Version 3.9.7 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 29 Feb 2016 00:19:35 +0100

device3dfx (2013.08.08-3) unstable; urgency=low

  * Use install instead of cp to generate the module source tarball, so
    that it is impervious to umask variance.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Jun 2015 03:32:34 +0200

device3dfx (2013.08.08-2) unstable; urgency=low

  * Remove packaging history from debian/copyright.
  * Remove license clarification from debian/copyright, upstream sources
    have included a proper license notice for a long time now.
  * Switch debian/copyright to machine-readable format 1.0.
  * Switch Vcs-Browser to a cgit URL.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Remove debian/source/options, xz compression is the default now.
  * Use the debian/changelog date for the generated source module tarball
    mtime. Based on a patch by Chris Lamb <lamby@debian.org>. Closes: #778213
  * Add a debian/watch file.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 May 2015 00:48:58 +0200

device3dfx (2013.08.08-1) unstable; urgency=low

  * New upstream release.
    - Do not hardcode path for version.h. Closes: #719133
  * Switch source code tarball inside device3dfx-source to tar.xz.
  * Switch source package to xz.
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Switch to debhelper compat version 9.

 -- Guillem Jover <guillem@debian.org>  Thu, 08 Aug 2013 21:36:42 +0200

=== debian/control ===
Source: device3dfx
Section: kernel
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://glide.sf.net/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/device3dfx.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/device3dfx.git
Standards-Version: 4.1.1
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 10),

Package: device3dfx-source
Architecture: all
Depends:
 ${misc:Depends},
 debhelper (>= 9),
 make,
 module-assistant (>= 0.11.6),
Recommends:
 kernel-package,
Description: Linux 2.2+ device driver source for 3Dfx boards
 This package is the source for the 3Dfx device driver to allow access
 to 3Dfx boards and setting its MTRR:s correctly without the user having
 root privileges.
 .
 It should work on Linux 2.2+ kernels, including SMP enabled kernels.

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,14 @@
 # debian/rules for device3dfx to build device3dfx-source
 #
 # Copyright © 1999 Steve Haslam
-# Copyright © 2003, 2004, 2006, 2007, 2008, 2011 Guillem Jover
+# Copyright © 2003, 2004, 2006-2008, 2011, 2013, 2015 Guillem Jover
 #
 # Distributable under the terms of the GNU GPL version 2 (or later).
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/default.mk
 
 pname = device3dfx
 psource = $(pname)-source
@@ -24,28 +26,39 @@
 
 target = debian/$(psource)/usr/src/modules/$(pname)
 
+INSTALL = install
+INSTALL_DIR = $(INSTALL) -d -m755
+INSTALL_DATA = $(INSTALL) -m644
+INSTALL_SCRIPT = $(INSTALL) -m755
+
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 	
-	install -c -m 644 Makefile *.c $(target)
-	cp -R kbuild $(target)
-	cp -R debian/module $(target)/debian
+	$(INSTALL_DIR) $(target)
+	$(INSTALL_DATA) Makefile *.c $(target)
+	$(INSTALL_DIR) $(target)/kbuild
+	$(INSTALL_DATA) kbuild/* $(target)/kbuild/
+	$(INSTALL_DIR) $(target)/debian/source
+	$(INSTALL_DATA) debian/source/* $(target)/debian/source/
+	$(INSTALL_DATA) debian/module/* $(target)/debian/
 	sed -n '0,/^$$/p' debian/control > $(target)/debian/control.modules.in
 	cat debian/control.templ >> $(target)/debian/control.modules.in
-	cp $(target)/debian/control.modules.in $(target)/debian/control
-	cp debian/rules debian/compat $(target)/debian
-	cp debian/copyright debian/changelog $(target)/debian
-	cp -R debian/source $(target)/debian
-	chown -R root.root $(target)
-	chmod +x $(target)/debian/rules
-	tar -C debian/$(psource)/usr/src -cvzf debian/$(psource)/usr/src/$(pname).tar.gz modules/$(pname)
+	chmod 644 $(target)/debian/control.modules.in
+	$(INSTALL_DATA) $(target)/debian/control.modules.in \
+	                $(target)/debian/control
+	$(INSTALL_DATA) debian/compat debian/copyright debian/changelog $(target)/debian/
+	$(INSTALL_SCRIPT) debian/rules $(target)/debian
+	tar -C debian/$(psource)/usr/src \
+	  --owner=root:0 --group=root:0 \
+	  --sort=name --mtime="@$(SOURCE_DATE_EPOCH)" \
+	  -cvJf debian/$(psource)/usr/src/$(pname).tar.xz modules/$(pname)
 	rm -r debian/$(psource)/usr/src/modules
 
 testmodule: install
-	tar -C .. -xvzf debian/$(psource)/usr/src/$(pname).tar.gz
+	tar -C .. -xvJf debian/$(psource)/usr/src/$(pname).tar.xz
 
 binary-indep: install
 	dh_testdir

=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://archive.hadrons.org/software/glide/	device3dfx-([\d\.-]*)\.tar\.[gx]z	debian	uupdate
